version: '3.4'
services:
  infobot.api:
    image: '11123111/tech-lead-lesson-3:1.0'
    environment:
      DATABASE_HOST: 172.18.0.4
      DATABASE_PASSWORD: postgres
      DATABASE_USER: postgres
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - '8082:8082'
    networks:
      vnet:
        ipv4_address: 172.18.0.2
  postgres:
    image: postgres:13
    volumes:
      - 'db-data:/var/lib/postgresql/data'
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
    ports:
      - '5432:5432'
    networks:
      vnet:
        ipv4_address: 172.18.0.4
volumes:
  db-data:
    driver: local
networks:
  vnet:
    driver: bridge
    ipam:
      config:
        - subnet: 172.18.0.0/16
